package interfaz;

import java.awt.AWTEvent;
import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class FramePrincipal_AboutBox extends JDialog implements ActionListener {

  JButton botonAceptar = new JButton();

  public FramePrincipal_AboutBox(Frame parent) {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception  {
    String copyright = "Copyleft 2005";
    String comments = "";
    BorderLayout layout = new BorderLayout(5, 5); // 5 es el espacio entre regiones
    JLabel iconoAplicacion = new JLabel();
    JLabel nombreProducto = new JLabel();
    JLabel nombreAplicacion = new JLabel();
    JLabel nombreAutor = new JLabel();
    ImageIcon icono = new ImageIcon();
    JLabel url = new JLabel();

    icono = new ImageIcon(interfaz.FramePrincipal.class.getResource("iconos/arbol_serie.gif"));
    iconoAplicacion.setBorder(new EmptyBorder(12, 10, 5, 5));
    iconoAplicacion.setIcon(icono);
    iconoAplicacion.setVerticalAlignment(javax.swing.SwingConstants.TOP);

    this.setModal(true);
    this.setTitle("Acerca de DependTool");
    this.getContentPane().setLayout(layout);

    BorderLayout layoutAutorYAplicacion = new BorderLayout();
    JPanel panelCentral = new JPanel ();
    panelCentral.setBorder(new EmptyBorder(12, 5, 5, 12));
    nombreAplicacion.setText("DependTool version 1.4.2");
    nombreAutor.setText("Autor: Diego Daz Garca");
    url.setText("http://www.atc.uniovi.es/");
    panelCentral.setLayout(layoutAutorYAplicacion);
    panelCentral.add(nombreAplicacion, BorderLayout.NORTH);
    panelCentral.add(nombreAutor, BorderLayout.CENTER);
    panelCentral.add(url, BorderLayout.SOUTH);
    // El botn de aceptar va en un panel propio para que no se expanda
    // todo lo ancho de la ventana
    botonAceptar.setActionCommand("Aceptar");
    botonAceptar.setText("Aceptar");
    botonAceptar.addActionListener(this);
    JPanel panelBoton = new JPanel();
    panelBoton.add (botonAceptar);

    Container panel = this.getContentPane();
    panel.add(iconoAplicacion, BorderLayout.WEST);
    panel.add(panelCentral, BorderLayout.CENTER);
    panel.add(panelBoton, BorderLayout.SOUTH);
    setResizable(false);
  }

  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }
  //Close the dialog
  void cancel() {
    dispose();
  }
  //Close the dialog on a button event
  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == botonAceptar) {
      cancel();
    }
  }
}
