package util;

import bloques.Bloque;

/**
 * <p>Title: BloqueIndice.java</p>
 * <p>Description: Clase formada por un bloque y un entero</p>
 * @author Diego Daz Garca
 * @version 1.0
 */

public class bloqueIndice {
  private Bloque bloque;
  private int indice;

  /**Contructor de la clase
   * @param bloque Bloque que contiene
   * @param indice Entero que representa el lugar que ocupa el bloque entre los
   * que contiene su bloque padre*/
  public bloqueIndice(Bloque bloque, int indice) {
    this.bloque = bloque;
    this.indice = indice;
  }

  /**Devuelve el bloque de un bloqueIndice
   * @return El bloque del bloqueIndice*/
  public Bloque obtenerBloque() {
    return bloque;
  }

  /**Devuelve el ndice de un bloqueIndice
   * @return El ndice del bloqueIndice*/
  public int obtenerIndice() {
    return indice;
  }
}